#ifndef ONEHOURWEATHER_H
#define ONEHOURWEATHER_H

#include <QWidget>
#include <QLabel>
#include <QVBoxLayout>
#include <QGSettings/QGSettings>
#include "global/viewvar.h"
class onehourweather : public QWidget
{
    Q_OBJECT
public:
    explicit onehourweather(QWidget *parent = nullptr);
    void isFullScreen(int);
    int m_judgeFullScreen;
    QLabel *m_time;
    QLabel *m_icon;
    QLabel *m_temperature;

private:
    //    QLabel *m_time;
    //    QLabel *m_icon;
    //    QLabel *m_temperature;
    QWidget *m_onehourWid;
    QVBoxLayout *m_onehourLayout1;
    QVBoxLayout *m_onehourLayout2;
    QVBoxLayout *m_onehourLayout3;
    QVBoxLayout *m_onehourLayout4;
    QVBoxLayout *m_onehourLayout5;
    QVBoxLayout *m_onehourLayout6;
    QVBoxLayout *m_onehourLayout7;
    QVBoxLayout *m_onehourLayout8;
    QVBoxLayout *m_onehourLayout;
    void initLayout();
    void initQss(double);
    void resizeEvent(QResizeEvent *event);
    void initConnect();
    void lable2SetFontSizeSlot(int size);
    QGSettings *m_fontSize = nullptr;


signals:
    void setFontSizeSignal(int);
};

#endif // ONEHOURWEATHER_H
